Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Dmitry Gutov <[email-masked]>
Date: Mon, 15 Aug 2022 19:44:07 +0300

On 15.08.2022 18:52, Eli Zaretskii wrote:
>> Date: Mon, 15 Aug 2022 18:42:08 +0300
>> Cc:[email-masked],[email-masked],[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>> On 15.08.2022 17:06, Eli Zaretskii wrote:
>>>> Date: Sun, 14 Aug 2022 23:46:13 +0300
>>>> Cc:[email-masked],[email-masked],[email-masked]
>>>> From: Dmitry Gutov<[email-masked]>
>>>>
>>>> I've also run this test on master now, and M-> is not instant there
>>>> either.
>>> It's instantaneous here, so I'm not sure why you see something
>>> different.
>> No idea. Size of file, or even the contents might the reason.
>>
>> Here's the profiler output anyway:
>>
>>           1067  85% - command-execute
>>           1067  85%  - call-interactively
>>           1023  82%   - funcall-interactively
>>           1012  81%    - end-of-buffer
>>           1008  81%     - recenter
>>           1008  81%      - jit-lock-function
> When did you last resync from Git?  'recenter' got "optimized"
> yesterday for buffers with long lines.

Just today.

In any case, it doesn't look like recenter's problem, since the output 
says all (or vast majority) of its time is spent in jit-lock-function.

I just did 'make bootstrap' to be doubly sure: no change.